package labwork3;

/**
 * The labwork3.Image interface represents an image with methods for selecting pixels, drawing pixels, finding colour by coordinates, and displaying the image.
 */
public interface Image {

    /**
     * Selects a pixel at the specified coordinates.
     *
     * @param x the x-coordinate of the pixel
     * @param y the y-coordinate of the pixel
     */
    void selectPixel(int x, int y);

    /**
     * Draws a pixel at the specified coordinates.
     *
     * @param x the x-coordinate of the pixel
     * @param y the y-coordinate of the pixel
     */
    void drawPixel(int x, int y);

    /**
     * Finds the colour of the pixel at the specified coordinates.
     *
     * @param x the x-coordinate of the pixel
     * @param y the y-coordinate of the pixel
     */
    void findColourByCoordinates(int x, int y);

    /**
     * Displays the image.
     */
    void display();
}
