package labwork3;

/**
 * The labwork3.RealImage class is an implementation of the labwork3.Image interface representing an actual image.
 * It provides methods to handle image properties such as width and height, and image operations such as selecting pixels, drawing pixels, finding colour by coordinates, and displaying the image.
 */
public class RealImage implements Image {
    private int width, height;

    /**
     * Constructs a labwork3.RealImage with the specified width and height.
     *
     * @param width  the width of the image
     * @param height the height of the image
     */
    public RealImage(int width, int height) {
        this.width = width;
        this.height = height;
    }

    /**
     * Selects a pixel at the specified coordinates.
     *
     * @param x the x-coordinate of the pixel
     * @param y the y-coordinate of the pixel
     */
    @Override
    public void selectPixel(int x, int y) {
        System.out.printf("Selected a pixel at (%d, %d).\n", x, y);
    }

    /**
     * Draws a pixel at the specified coordinates.
     *
     * @param x the x-coordinate of the pixel
     * @param y the y-coordinate of the pixel
     */
    @Override
    public void drawPixel(int x, int y) {
        System.out.printf("Drawn a pixel at (%d, %d).\n", x, y);
    }

    /**
     * Finds the colour of the pixel at the specified coordinates.
     *
     * @param x the x-coordinate of the pixel
     * @param y the y-coordinate of the pixel
     */
    @Override
    public void findColourByCoordinates(int x, int y) {
        System.out.printf("Found colour at (%d, %d).\n", x, y);
    }

    /**
     * Displays the image along with its width and height.
     */
    @Override
    public void display() {
        System.out.printf("Displaying image. Width: %d pixels, height %d pixels.\n", width, height);
    }
}
