package labwork4;

import java.awt.*;

/**
 * labwork4.Rectangle class is an implementation of VectorObject representing a rectangle in vector graphics.
 *
 * @author rhinemann
 */
public class Rectangle implements VectorObject {
    Point originPoint;
    Point endPoint;
    GenericAPI api;

    /**
     * Constructs labwork4.Rectangle with the specified origin and end points and render API.
     *
     * @param originPoint beginning corner of a rectangle
     * @param endPoint    end corner of a rectangle
     * @param api         rendering API
     * @author rhinemann
     */
    public Rectangle(Point originPoint, Point endPoint, GenericAPI api) {
        this.originPoint = originPoint;
        this.endPoint = endPoint;
        this.api = api;
    }

    /**
     * Draws the image on the canvas with a given render API.
     *
     * @author rhinemann
     */
    @Override
    public void draw() {
        api.render(this);
    }
}
