package labwork5;

/**
 * The InteractiveElement interface defines the contract for all GUI elements that can interact with a Mediator.
 */
public interface InteractiveElement {
    /**
     * Sends an update message to the associated Mediator.
     *
     * @param updateMessage the update message to be sent
     */
    void sendUpdate(String updateMessage);

    /**
     * Receives an update message from the Mediator.
     *
     * @param updateMessage the received update message
     */
    void receiveUpdate(String updateMessage);
}
