package labwork5;

/**
 * The Mediator interface defines the contract for a mediator responsible for managing communication between InteractiveElements.
 */
public interface Mediator {
    /**
     * Adds an InteractiveElement to the mediator.
     *
     * @param element the InteractiveElement to be added to the mediator
     */
    void addElement(InteractiveElement element);

    /**
     * Updates the InteractiveElements based on a change from a source element.
     *
     * @param source the source InteractiveElement that triggered the update
     * @param update the update message or information
     */
    void update(InteractiveElement source, String update);
}
