package labwork6;

/**
 * The Equation class represents a mathematical equation and associates it with a specific coordinate system for graphing.
 */
public class Equation {
    private final String expression;
    private CoordinateSystem coordinateSystem;

    /**
     * Constructs an Equation with the specified expression and coordinate system.
     *
     * @param expression       the mathematical expression to represent
     * @param coordinateSystem the coordinate system to use for graphing
     */
    public Equation(String expression, CoordinateSystem coordinateSystem) {
        this.expression = expression;
        this.coordinateSystem = coordinateSystem;
    }

    /**
     * Retrieves the mathematical expression associated with the equation.
     *
     * @return the mathematical expression
     */
    public String getExpression() {
        return expression;
    }

    /**
     * Sets the coordinate system for graphing the equation.
     *
     * @param coordinateSystem the coordinate system to use for graphing
     */
    public void setCoordinateSystem(CoordinateSystem coordinateSystem) {
        this.coordinateSystem = coordinateSystem;
    }

    /**
     * Displays the graph of the equation using the associated coordinate system.
     */
    public void display() {
        coordinateSystem.graph(this);
    }
}
