package labwork7;

/**
 * The PressedButton interface represents the state of a button when pressed.
 * Different implementations define behavior for left and right clicks.
 */
public interface PressedButton {
    /**
     * Handles a left-click event on the mouse.
     *
     * @param mouse the Mouse instance associated with the button
     */
    void leftClick(Mouse mouse);

    /**
     * Handles a right-click event on the mouse.
     *
     * @param mouse the Mouse instance associated with the button
     */
    void rightClick(Mouse mouse);
}
